﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[ExecuteInEditMode]
[RequireComponent(typeof(Camera))]
public class ShadowColorizationEffect : PostEffectsBase
{
    public float luminanceThreshold = 0.3f;

    void Start()
    {
        shader = Shader.Find("NPR/ShadowColorizationShader");
        CreateMaterial();
    }

    void OnRenderImage(RenderTexture source, RenderTexture destination)
    {
        if (CreateMaterial())
        {
            material.SetFloat("luminanceThreshold", luminanceThreshold);
            Graphics.Blit(source, destination, material);
        }
        else
        {
            Graphics.Blit(source, destination);
        }
    }
}
